=== modified file 'dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/mapping/script/index.js'
--- dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/mapping/script/index.js	2009-09-06 11:49:17 +0000
+++ dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/mapping/script/index.js	2009-09-06 12:50:16 +0000
@@ -335,7 +335,7 @@
 
     map.setCenter(new OpenLayers.LonLat(init_longitude, init_latitude), init_zoom);
     
-    /*REGISTER SHAPEFILE PANEL*/
+    /*REGISTER MAPS PANEL*/
     
     var organisationUnitLevelStore = new Ext.data.JsonStore({
         url: path + 'getOrganisationUnitLevels' + type,
@@ -697,6 +697,11 @@
                     Ext.messageBlack.msg('Edit map', 'The map ' + msg_highlight_start + mlp + msg_highlight_end + ' was deleted.');
                     
                     Ext.getCmp('map_cb').getStore().reload();
+					
+					if (Ext.getCmp('map_cb').getValue() == mlp) {
+						Ext.getCmp('map_cb').reset();
+					}
+					
                     Ext.getCmp('maps_cb').getStore().reload();
                     Ext.getCmp('editmap_cb').getStore().reload();
                     Ext.getCmp('editmap_cb').reset();
@@ -819,7 +824,7 @@
         id: 'editmap_p',
         items: [
             { html: '<p style="padding-bottom:4px; color:' + MENU_TEXTCOLOR + ';">&nbsp;Map</p>' }, editMapComboBox, { html: '<br>' },
-            { html: '<p style="padding-bottom:4px; color:' + MENU_TEXTCOLOR + ';">&nbsp;Map name</p>' }, editNameTextField, { html: '<br>' },
+            { html: '<p style="padding-bottom:4px; color:' + MENU_TEXTCOLOR + ';">&nbsp;Display name</p>' }, editNameTextField, { html: '<br>' },
             { html: '<p style="padding-bottom:4px; color:' + MENU_TEXTCOLOR + ';">&nbsp;Name column</p>' }, editNameColumnTextField, { html: '<br>' },
             { html: '<p style="padding-bottom:4px; color:' + MENU_TEXTCOLOR + ';">&nbsp;Longitude</p>' }, editLongitudeTextField, { html: '<br>' },
             { html: '<p style="padding-bottom:4px; color:' + MENU_TEXTCOLOR + ';">&nbsp;Latitude</p>' }, editLatitudeTextField, { html: '<br>' },
@@ -1227,10 +1232,15 @@
             var ca = Ext.getCmp('colorA_cf').getValue();
             var cb = Ext.getCmp('colorB_cf').getValue();
             
-            if (!vn || !ig || !ii || !pt || !p || !mst || !ms || !c ) {
+			if (!vn) {
                 Ext.messageRed.msg('New map view', 'Map view form is not complete.');
                 return;
             }
+			
+            if (!ig || !ii || !pt || !p || !mst || !ms || !c ) {
+                Ext.messageRed.msg('New map view', 'Thematic map form is not complete.');
+                return;
+            }
             
             if (validateInput(vn) == false) {
                 Ext.messageRed.msg('New map view', 'Map view name cannot be longer than 25 characters.');
@@ -1305,9 +1315,10 @@
     
     var dashboardViewButton = new Ext.Button({
         id: 'dashboardview_b',
-        text: 'Add view to DHIS2 dashboard',
+        text: 'Add view to DHIS 2 dashboard',
         handler: function() {
             var v2 = Ext.getCmp('view2_cb').getValue();
+			var nv = Ext.getCmp('view2_cb').getRawValue();
             
             if (!v2) {
                 Ext.messageRed.msg('Dashboard map view', 'Please select a map view.');
@@ -1320,7 +1331,7 @@
                 params: { id: v2 },
 
                 success: function( responseObject ) {
-                    Ext.messageBlack.msg('Dashboard map view', 'The view ' + v + ' was added to dashboard.');
+                    Ext.messageBlack.msg('Dashboard map view', 'The view ' + msg_highlight_start + nv + msg_highlight_end + ' was added to dashboard.');
                     
                     Ext.getCmp('view_cb').getStore().reload();
                     Ext.getCmp('view_cb').reset();

=== modified file 'dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/resources/mapfish/widgets/geostat/Choropleth.js'
--- dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/resources/mapfish/widgets/geostat/Choropleth.js	2009-09-06 11:49:17 +0000
+++ dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/resources/mapfish/widgets/geostat/Choropleth.js	2009-09-06 12:50:16 +0000
@@ -280,7 +280,6 @@
             baseParams: { format: 'jsonmin' },
             root: 'maps',
             fields: ['id', 'name', 'mapLayerPath', 'organisationUnitLevel'],
-            sortInfo: { field: 'organisationUnitLevel', direction: 'ASC' },
             autoLoad: true,
             listeners: {
                 'load': {

=== modified file 'dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/resources/mapfish/widgets/geostat/Mapping.js'
--- dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/resources/mapfish/widgets/geostat/Mapping.js	2009-09-06 11:49:17 +0000
+++ dhis-2/dhis-web/dhis-web-mapping/src/main/webapp/resources/mapfish/widgets/geostat/Mapping.js	2009-09-06 12:50:16 +0000
@@ -182,9 +182,6 @@
                 }
                 
                 return cls;                    
-            },
-            getCell: function(row,col) {
-                return '<div></div>';
             }
         });
     