=== modified file 'gis/dhis-web-mapping/src/main/resources/struts.xml'
--- gis/dhis-web-mapping/src/main/resources/struts.xml	2009-09-01 09:29:11 +0000
+++ gis/dhis-web-mapping/src/main/resources/struts.xml	2009-09-01 09:44:10 +0000
@@ -12,7 +12,7 @@
     <!-- Default -->
   
     <action name="index" class="org.hisp.dhis.mapping.action.NoAction">
-      <result name="success" type="redirect">../mapping/geostat/index.html</result>
+      <result name="success" type="redirect">../mapping/index.html</result>
     </action>
     
     <!-- OrganisationUnit -->

=== renamed directory 'gis/dhis-web-mapping/src/main/webapp/mapping/geostat/geojson' => 'gis/dhis-web-mapping/src/main/webapp/mapping/geojson'
=== removed directory 'gis/dhis-web-mapping/src/main/webapp/mapping/geostat'
=== renamed file 'gis/dhis-web-mapping/src/main/webapp/mapping/geostat/index.html' => 'gis/dhis-web-mapping/src/main/webapp/mapping/index.html'
--- gis/dhis-web-mapping/src/main/webapp/mapping/geostat/index.html	2009-08-26 02:00:57 +0000
+++ gis/dhis-web-mapping/src/main/webapp/mapping/index.html	2009-09-01 09:44:10 +0000
@@ -7,48 +7,49 @@
     <!-- CSS -->
         
         <!-- Ext JS -->
-        <link rel="stylesheet" type="text/css" href="../../mfbase/ext/resources/css/ext-all.css"/>
+        <link rel="stylesheet" type="text/css" href="../resources/ext/resources/css/ext-all.css"/>
 
             <!-- User extensions -->
-            <link rel="stylesheet" type="text/css" href="../../mfbase/ext/resources/css/xtheme-gray-extend.css" />
-            <link rel="stylesheet" type="text/css" href="../../mfbase/ext-community-extensions/color-field.css" />
-            <link rel="stylesheet" type="text/css" href="../../mfbase/ext-community-extensions/multiselect.css" />
-            <link rel="stylesheet" type="text/css" href="../../mfbase/ext/resources/css/examples.css" />
-            <link rel="stylesheet" type="text/css" href="../../mfbase/ext/resources/css/checkbox_or.css" />
+            <link rel="stylesheet" type="text/css" href="../resources/ext/resources/css/xtheme-gray-extend.css" />
+            <link rel="stylesheet" type="text/css" href="../resources/ext-community-extensions/color-field.css" />
+            <link rel="stylesheet" type="text/css" href="../resources/ext-community-extensions/multiselect.css" />
+            <link rel="stylesheet" type="text/css" href="../resources/ext/resources/css/examples.css" />
+            <link rel="stylesheet" type="text/css" href="../resources/ext/resources/css/checkbox_or.css" />
         
     <!-- JavaScript -->
         
         <!-- OpenLayers -->
-        <!-- <script type="text/javascript" src="../../mfbase/openlayers-2.7/lib/OpenLayers.js"></script> -->
-        <script type="text/javascript" src="../../mfbase/openlayers/OpenLayers.js"></script>
+        <!-- <script type="text/javascript" src="../resources/openlayers-2.7/lib/OpenLayers.js"></script> -->
+        <script type="text/javascript" src="../resources/openlayers/OpenLayers.js"></script>
             
             <!-- User extensions -->
-            <script type="text/javascript" src="../../mfbase/openlayers/lib/OpenLayers/Control/newSelectFeature.js"></script>
+            <script type="text/javascript" src="../resources/openlayers/lib/OpenLayers/Control/newSelectFeature.js"></script>
         
         <!-- Ext JS -->
-        <script type="text/javascript" src="../../mfbase/ext/adapter/ext/ext-base.js"></script>
-        <script type="text/javascript" src="../../mfbase/ext/ext-all.js"></script>
+        <script type="text/javascript" src="../resources/ext/adapter/ext/ext-base.js"></script>
+        <script type="text/javascript" src="../resources/ext/ext-all.js"></script>
         
             <!-- User extensions -->
-            <script type="text/javascript" src="../../mfbase/ext/source/examples/examples.js"></script>
-            <script type="text/javascript" src="../../mfbase/ext-community-extensions/color-field.js"></script>
-            <script type="text/javascript" src="../../mfbase/ext-community-extensions/DDView.js"></script>
-            <script type="text/javascript" src="../../mfbase/ext-community-extensions/MultiSelect.js"></script>
-            <script type="text/javascript" src="../../mfbase/ext-community-extensions/ItemSelector.js"></script>
+            <script type="text/javascript" src="../resources/ext/source/examples/examples.js"></script>
+            <script type="text/javascript" src="../resources/ext-community-extensions/color-field.js"></script>
+            <script type="text/javascript" src="../resources/ext-community-extensions/DDView.js"></script>
+            <script type="text/javascript" src="../resources/ext-community-extensions/MultiSelect.js"></script>
+            <script type="text/javascript" src="../resources/ext-community-extensions/ItemSelector.js"></script>
             
         <!-- GeoExt -->
-        <script type="text/javascript" src="../../mfbase/geoext/script/GeoExt.js"></script>
+        <script type="text/javascript" src="../resources/geoext/script/GeoExt.js"></script>
        
         <!-- MapFish -->
-        <script type="text/javascript" src="../../mfbase/mapfish/MapFish.js"></script>
+        <script type="text/javascript" src="../resources/mapfish/MapFish.js"></script>
 
         <!-- DHIS2 -->
-        <script type="text/javascript" src="config.js"></script>
-        <script type="text/javascript" src="geostat.js"></script>
+        <script type="text/javascript" src="script/config.js"></script>
+        <script type="text/javascript" src="script/mapping.js"></script>
     
     <style>
         .assigned-row {background-color: #72FF63}
         .not-assigned-row {background-color: #FFFFFF}
+        .hidden-row {visibility: hidden; opacity: 0;}
     </style>
 </head>
 
@@ -57,7 +58,7 @@
         <div class="loading-mask"></div>
         <div class="loading-container">
             <div class="loading-indicator" style="font-family:tahoma; font-size:11px">
-                <img src="../../mfbase/ext/resources/images/default/shared/large-loading.gif" width="32" height="32" style="margin-right:8px;float:left;vertical-align:top;"/>
+                <img src="../resources/ext/resources/images/default/shared/large-loading.gif" width="32" height="32" style="margin-right:8px;float:left;vertical-align:top;"/>
                 DHIS2 Geostat<br />
                 <span id="loading-msg">Loading MapFish...</span>
             </div>

=== added directory 'gis/dhis-web-mapping/src/main/webapp/mapping/script'
=== renamed file 'gis/dhis-web-mapping/src/main/webapp/mapping/geostat/config.js' => 'gis/dhis-web-mapping/src/main/webapp/mapping/script/config.js'
--- gis/dhis-web-mapping/src/main/webapp/mapping/geostat/config.js	2009-08-25 19:31:23 +0000
+++ gis/dhis-web-mapping/src/main/webapp/mapping/script/config.js	2009-09-01 09:44:10 +0000
@@ -2,9 +2,6 @@
 
     PHU_LEVEL = 4;
 
-    STATIC1_LAYERNAME = 'Main roads';
-    STATIC1_URL = 'geojson/sl_mainroads';
-
     COUNTRY_LONGITUDE = -11.8;
     COUNTRY_LATITUDE = 8.5;
     COUNTRY_ZOOM = 8;
@@ -23,11 +20,11 @@
     
 //  MapFish print module
 
-    printConfigUrl = '../../../print-servlet-1.2-SNAPSHOT/pdf/info.json';
+    printConfigUrl = '../../print-servlet-1.2-SNAPSHOT/pdf/info.json';
 
 //  Ajax requests
 
-    path = '../../dhis-web-mapping/';
+    path = '../dhis-web-mapping/';
     type = '.action';
 
 //  Layout

=== renamed file 'gis/dhis-web-mapping/src/main/webapp/mapping/geostat/geostat.js' => 'gis/dhis-web-mapping/src/main/webapp/mapping/script/mapping.js'
=== renamed directory 'gis/dhis-web-mapping/src/main/webapp/mfbase' => 'gis/dhis-web-mapping/src/main/webapp/resources'